std::_Fwd_list_iterator< _Tp > Struct Template Reference

## Public Types

typedef _Fwd_list_node< _Tp > | _Node
typedef _Fwd_list_iterator< _Tp > | _Self
typedef ptrdiff_t | difference_type
typedef std::forward_iterator_tag | iterator_category
typedef _Tp * | pointer
typedef _Tp & | reference
typedef _Tp | value_type

## Public Member Functions

| _Fwd_list_iterator (_Fwd_list_node_base *__n) noexcept
_Self | _M_next () const noexcept
bool | operator!= (const _Self &__x) const noexcept
reference | operator* () const noexcept
_Self & | operator++ () noexcept
_Self | operator++ (int) noexcept
pointer | operator-> () const noexcept
bool | operator== (const _Self &__x) const noexcept

## Public Attributes

_Fwd_list_node_base * | _M_node

## Detailed Description

### template<typename _Tp>
struct std::_Fwd_list_iterator< _Tp >

A forward_list::iterator.

All the functions are op overloads.

Definition at line 120 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h